> ## Documentation Index
> Fetch the complete documentation index at: https://developer.amplify.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Create or update a fax custom field

> Create or update custom-field values for a fax.

Provide the required fax identifier in `job_id` and the fields to save in the required `custom_fields` array. Every item requires `id`. Include `value` whenever you are adding or updating a field value. Authenticate with a Bearer access token.


## OpenAPI

````yaml POST /v1/custom/field/save
openapi: 3.1.0
info:
  title: Amplify Customer API
  version: 1.0.0
  description: |-
    Canonical contract for the Amplify customer-facing API. This YAML file is
    the source of truth for Postman and Mintlify. Operations marked with
    x-amplify-validation-status: pending were migrated from the legacy Postman
    collection and must be validated before their contract is considered final.
servers:
  - url: https://api.amplify.xyz
    description: Production
  - url: https://dev-api.amplify.xyz
    description: Development
security: []
tags:
  - name: Authentication
  - name: Fax
  - name: Send Faxes
  - name: Receive Faxes
  - name: Manage Faxes
  - name: Workspace
  - name: Numbers
  - name: Contacts
  - name: Documents
  - name: Templates
paths:
  /v1/custom/field/save:
    post:
      tags:
        - Workspace
      summary: Create or update a fax custom field
      description: Creates or updates custom-field values for a fax.
      operationId: postv1CustomFieldSave
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              additionalProperties: false
              required:
                - job_id
                - custom_fields
              properties:
                job_id:
                  type: string
                  description: Unique identifier of the fax.
                custom_fields:
                  type: array
                  description: Custom-field identifiers and values to create or update.
                  items:
                    type: object
                    additionalProperties: false
                    required:
                      - id
                    properties:
                      id:
                        type: string
                        description: Custom-field identifier.
                      value:
                        type: string
                        description: >-
                          Value to set. Required when adding or updating a field
                          value.
            example:
              job_id: 01KM4QKKCRSS0V2R4SCKVW7MZN
              custom_fields:
                - id: test
                  value: Today
                - id: test1
                  value: Jhon Deo
      responses:
        '200':
          description: Custom fields saved successfully.
          content:
            application/json:
              schema:
                type: object
                required:
                  - status
                  - message
                properties:
                  status:
                    type: integer
                  message:
                    type: string
              example:
                status: 1
                message: Custom fields saved successfully
        '422':
          description: A required field is missing.
          content:
            application/json:
              schema:
                type: object
                required:
                  - status
                  - message
                properties:
                  status:
                    type: integer
                  message:
                    type: string
              examples:
                missingJobId:
                  summary: Missing job_id
                  value:
                    status: 0
                    message: The job id field is required.
                missingCustomFields:
                  summary: Missing custom_fields
                  value:
                    status: 0
                    message: The custom fields field is required.
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````